%{?mingw_package_header}

Name:           mingw-libglade2
Version:        2.6.4
Release:        %mkrel 23
Summary:        MinGW Windows Libglade2 library

License:        LGPLv2+
Group:          Development/Other
URL:            https://www.gnome.org/
Source0:        https://download.gnome.org/sources/libglade/2.6/libglade-%{version}.tar.bz2
# https://bugzilla.gnome.org/show_bug.cgi?id=121025
Patch1:         libglade-2.0.1-nowarning.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=510736
Patch2:         libglade-secondary.patch
# As of pango 1.29.5 the gmodule library isn't pulled in automatically anymore
Patch3:         libglade-link-against-gmodule.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 68
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-gtk2
BuildRequires:  mingw32-fontconfig
BuildRequires:  mingw32-pango
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-libxml2

BuildRequires:  mingw64-filesystem >= 68
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-gtk2
BuildRequires:  mingw64-fontconfig
BuildRequires:  mingw64-pango
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-libxml2

# Native one for msgfmt
BuildRequires:  gettext

# Needed for patch3
BuildRequires:  gtk2-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  python3

%description
MinGW Windows Libglade2 library.


# Win32
%package -n mingw32-libglade2
Summary:        MinGW Windows Libglade2 library
Requires:       pkgconfig

%description -n mingw32-libglade2
MinGW Windows Libglade2 library.

%package -n mingw32-libglade2-static
Summary:        Static MinGW Windows Libglade2 library
Group:          Development/Other
Requires:       mingw32-libglade2 = %{version}-%{release}

%description -n mingw32-libglade2-static
Static MinGW Windows Libglade2 library.

# Win64
%package -n mingw64-libglade2
Summary:        MinGW Windows Libglade2 library
Requires:       pkgconfig

%description -n mingw64-libglade2
MinGW Windows Libglade2 library.

%package -n mingw64-libglade2-static
Summary:        Static MinGW Windows Libglade2 library
Group:          Development/Other
Requires:       mingw64-libglade2 = %{version}-%{release}

%description -n mingw64-libglade2-static
Static MinGW Windows Libglade2 library.


%{?mingw_debug_package}


%prep
%setup -q -n libglade-%{version}
%patch -P 1 -p1 -b .nowarning
%patch -P 2 -p1 -b .secondary
%patch -P 3 -p0 -b .gmodule

autoreconf --install --force


%build
%mingw_configure --disable-gtk-doc

cp glade/glade.def build_win32/glade
cp glade/glade.def build_win64/glade

%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=$RPM_BUILD_ROOT install

rm -rf $RPM_BUILD_ROOT/%{mingw32_datadir}/gtk-doc/html/libglade
rm -rf $RPM_BUILD_ROOT/%{mingw64_datadir}/gtk-doc/html/libglade

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete

# python shebangs
%py3_shebang_fix %{buildroot}%{mingw32_bindir}/libglade-convert
%py3_shebang_fix %{buildroot}%{mingw64_bindir}/libglade-convert

# Win32
%files -n mingw32-libglade2
%doc COPYING
%{mingw32_bindir}/libglade-2.0-0.dll
%{mingw32_bindir}/libglade-convert
%{mingw32_includedir}/libglade-2.0
%{mingw32_libdir}/libglade-2.0.dll.a
%{mingw32_libdir}/pkgconfig/libglade-2.0.pc

%dir %{mingw32_datadir}/xml/libglade
%{mingw32_datadir}/xml/libglade/glade-2.0.dtd

%files -n mingw32-libglade2-static
%{mingw32_libdir}/libglade-2.0.a

# Win64
%files -n mingw64-libglade2
%doc COPYING
%{mingw64_bindir}/libglade-2.0-0.dll
%{mingw64_bindir}/libglade-convert
%{mingw64_includedir}/libglade-2.0
%{mingw64_libdir}/libglade-2.0.dll.a
%{mingw64_libdir}/pkgconfig/libglade-2.0.pc

%dir %{mingw64_datadir}/xml/libglade
%{mingw64_datadir}/xml/libglade/glade-2.0.dtd

%files -n mingw64-libglade2-static
%{mingw64_libdir}/libglade-2.0.a




%changelog
* Thu Sep 26 2024 daviddavid <daviddavid> 2.6.4-23.mga10
+ Revision: 2101280
- fix python shebang command

* Tue Mar 29 2022 umeabot <umeabot> 2.6.4-22.mga9
+ Revision: 1832051
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 daviddavid <daviddavid> 2.6.4-21.mga8
+ Revision: 1513175
- fix python shebangs
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.6.4-20.mga7
+ Revision: 1264351
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 2.6.4-19.mga6
+ Revision: 938896
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.6.4-18.mga5
+ Revision: 741672
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.6.4-17.mga5
+ Revision: 682471
- Mageia 5 Mass Rebuild

* Mon Sep 23 2013 neoclust <neoclust> 2.6.4-16.mga4
+ Revision: 483967
- imported package mingw-libglade2


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 14 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6.4-13
- Added win64 support (contributed by Mikkel Kruse Johnsen)

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6.4-12
- Renamed the source package to mingw-libglade2 (RHBZ #800908)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6.4-11
- Rebuild against the mingw-w64 toolchain

* Tue Jan 31 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6.4-10
- Rebuild against libpng 1.5
- Fix compilation against pango 1.29.5
- Dropped unneeded RPM tags
- Dropped the dependency extraction overrides as that's done automatically as of RPM 4.9
- Dropped .la files

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul  7 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6.4-8
- Rebuild against win-iconv

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 2.6.4-7
- Dropped the gettext soft dependency patch

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec  6 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.6.4-5
- Rebuild in order to have a soft dependency on mingw32-gettext
- Fixed FTBFS
- Use correct %%defattr tag
- Fixed a small rpmlint warning

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 22 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.4-3
- add debuginfo packages

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.4-2
- fix static Requires

* Thu Apr 16 2009 Thomas Sailer <t.sailer@alumni.ethz.ch> - 2.6.4-1
- replace %%define with %%global
- update to 2.6.4
- move static library to its own subpackage
- add secondary patch from native libglade2 package

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.3-5
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.3-4
- Include license file.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.3-3
- Use _smp_mflags.
- +BR mingw32-libxml2.

* Tue Jan 13 2009 Richard W.M. Jones <rjones@redhat.com> - 2.6.3-2
- Requires pkgconfig.

* Fri Nov 28 2008 Daniel P. Berrange <berrange@redhat.com> - 2.6.3-1
- Initial build
